%define sname SQLAlchemy
%define module sqlalchemy

Name:           python-%{module}
Version:        1.3.23
Release:        %mkrel 1
Summary:        SQL toolkit and object relational mapper for Python
License:        MIT
Group:          Development/Python
URL:            http://www.sqlalchemy.org/
Source0:        %{sname}-%{version}.tar.xz

BuildRequires:	python3-devel
BuildRequires:  python3-setuptools

%description
SQLAlchemy is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases.  Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.

%package -n python3-%{module}
Summary:        SQL toolkit and object relational mapper for Python
Group:          Development/Python

%description -n python3-%{module}
SQLAlchemy is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases.  Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.

%prep
%setup -qn %{sname}-%{version}

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}

rm -rf doc/build

%files -n python3-%{module}
%doc doc examples LICENSE PKG-INFO
%{python3_sitearch}/*

%changelog
* Sat Mar 12 2022 TerryN <terryn94 at gmail.com> 1.3.23-1pclos2022
- update and rebuild for python 3.10

* Mon Apr 02 2018 marcin82 <fixxer1982 at gmail.com> 1.2.6-1pclos2018
- update, added python3 package

* Sat Aug 10 2013 billybot <billybot> 0.8.2-1pclos2013
- update
